package com.ruoyi.system.mapper.visit;

import com.ruoyi.system.domain.visit.VisitFreePlanModel;
import com.ruoyi.system.domain.visit.VisitFreePlanModelExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface VisitFreePlanModelMapper {
    long countByExample(VisitFreePlanModelExample example);

    int deleteByExample(VisitFreePlanModelExample example);

    int deleteByPrimaryKey(String id);

    int insert(VisitFreePlanModel record);

    int insertSelective(VisitFreePlanModel record);

    List<VisitFreePlanModel> selectByExampleWithBLOBs(VisitFreePlanModelExample example);

    List<VisitFreePlanModel> selectByExample(VisitFreePlanModelExample example);

    VisitFreePlanModel selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") VisitFreePlanModel record, @Param("example") VisitFreePlanModelExample example);

    int updateByExampleWithBLOBs(@Param("record") VisitFreePlanModel record, @Param("example") VisitFreePlanModelExample example);

    int updateByExample(@Param("record") VisitFreePlanModel record, @Param("example") VisitFreePlanModelExample example);

    int updateByPrimaryKeySelective(VisitFreePlanModel record);

    int updateByPrimaryKeyWithBLOBs(VisitFreePlanModel record);

    int updateByPrimaryKey(VisitFreePlanModel record);
}